Skip to main content
PATCH

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug.

Body

application/json

The PATCH payload takes a map of Dataset definition type to Dataset definition. Fields not defined in the request are not modified on the server. Note: In order to CLEAR a column of a Dataset definition set the column’s name field to an empty string.

Dataset Definitions describe the fields with special meaning in the Dataset.

span_id
null | object

The unique identifier (ID) for each span.

trace_id
null | object

The ID of the trace this span belongs to.

parent_id
null | object

The Parent Span ID - The ID of this span's parent span, the call location the current span was called from.

name
null | object

The name of the function or method where the span was created.

service_name
null | object

The name of the instrumented service.

duration_ms
null | object

Span Duration - How much time the span took, in milliseconds.

span_kind
null | object

Metadata: Kind - The kind of Span. For example, client or server. The use of this field to identify Span Events and Links is deprecated. Use the field Metadata: Annotation Type.

annotation_type
null | object

Metadata: Annotation Type - The type of span annotation. For example, span_event or link. This lets Honeycomb visualize this type of event differently in a trace. Do not use this field for other purposes.

Metadata: Link Span ID - Links let you tie traces and spans to one another. The Link Span ID lets you link to a different span (when used with Link Trace ID).

Metadata: Link Trace ID - Links let you tie traces and spans to one another. The Link Trace Id lets you link to a different trace or a different span in the same trace (when used with Link Span ID).

error
null | object

Use a Boolean or String to indicate error.

status
null | object

Indicates the success, failure, or other status of a request.

route
null | object

The HTTP URL or equivalent route processed by the request.

user
null | object

The user making the request in the system.

log_severity
null | object

Severity level of the event (also known as log level). Supported values: trace, debug, info, warn, error, fatal, unspecified.

log_message
null | object

A value containing the log event message. Can be a human-readable string message (including multi-line) describing the event in a free form.

Response

Dataset Definitions have been updated

Dataset Definitions describe the fields with special meaning in the Dataset.

span_id
null | object

The unique identifier (ID) for each span.

trace_id
null | object

The ID of the trace this span belongs to.

parent_id
null | object

The Parent Span ID - The ID of this span's parent span, the call location the current span was called from.

name
null | object

The name of the function or method where the span was created.

service_name
null | object

The name of the instrumented service.

duration_ms
null | object

Span Duration - How much time the span took, in milliseconds.

span_kind
null | object

Metadata: Kind - The kind of Span. For example, client or server. The use of this field to identify Span Events and Links is deprecated. Use the field Metadata: Annotation Type.

annotation_type
null | object

Metadata: Annotation Type - The type of span annotation. For example, span_event or link. This lets Honeycomb visualize this type of event differently in a trace. Do not use this field for other purposes.

Metadata: Link Span ID - Links let you tie traces and spans to one another. The Link Span ID lets you link to a different span (when used with Link Trace ID).

Metadata: Link Trace ID - Links let you tie traces and spans to one another. The Link Trace Id lets you link to a different trace or a different span in the same trace (when used with Link Span ID).

error
null | object

Use a Boolean or String to indicate error.

status
null | object

Indicates the success, failure, or other status of a request.

route
null | object

The HTTP URL or equivalent route processed by the request.

user
null | object

The user making the request in the system.

log_severity
null | object

Severity level of the event (also known as log level). Supported values: trace, debug, info, warn, error, fatal, unspecified.

log_message
null | object

A value containing the log event message. Can be a human-readable string message (including multi-line) describing the event in a free form.